Order Docket Exhibit
curl --request PUT \
--url https://api.baselayer.com/dockets/exhibits/{docket_exhibit_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/dockets/exhibits/{docket_exhibit_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/dockets/exhibits/{docket_exhibit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"docket_exhibit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "PENDING"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Docket Exhibits
Order Docket Exhibit
Orders the document for the given docket exhibit from the court or cached version.
PUT
/
dockets
/
exhibits
/
{docket_exhibit_id}
Order Docket Exhibit
Authorizations
Headers
Request execution preference (RFC 7240). Use respond-async for asynchronous execution, wait=N to specify a synchronous timeout hint in seconds, or priority=low to route the task to the low-priority queue.
Example:
"respond-async"
Path Parameters
The unique identifier of the docket exhibit to fetch documents for.
Example:
"93c0c4db-35fe-4073-b21a-9e8fddf936c4"
Query Parameters
Whether to fetch the document directly from the court. Defaults to True as all cached versions will already be available.
Response
Successful Response
Represents a docket exhibit state.